Subject: bug#70647: 30.0.50; When are :core packages released to GNU ELPA?

From: No Wayman <[email-masked]>
Date: Tue, 30 Apr 2024 10:39:38 -0400

PK> When a commit modifies the Version header in the main file, 
then the PK> state of that commit is used to trigger a new 
release, both for core and PK> otherwise.

Where is this documented?
 
JP> I believe the reason that Eglot's release date is March 31 is 
because that's the JP> day that ELPA itself was updated to include 
Atom feeds for package updates, JP> which re-published all the 
existing packages. See here: JP> 
<https://lists.gnu.org/archive/html/emacs-devel/2024-03/msg00777.html>.

PK> There were issues related to some recent changes that re-build 
the PK> package tarballs, but the content should have been the 
same.  But that PK> was a mistake, and not something that should 
happen on a regular basis.

Thanks to both of you for the clarification.

This still begs the question of why the publication date is listed 
rather than the commit date for the tarball.
Imagine if when searching for a film on IMDB the results presented 
the date the IMDB page was last updated rather than the year the 
film was released. e.g. "Ghostbusters (2024-04-15)" for the 1984 
film. Not a perfect analogy, but it makes the point:
The tarball publishing date, if displayed at all, should be secondary to the commit date.